POST   checks/browser/{checkId}/results

Gets browser check results in json format.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

Remarks


The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/browser/12345/results?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "include": {
    "result_details": {},
    "steps": true,
    "urls": {
      "include_headers": true
    },
    "scenario_commands": false,
    "scenario_extracted_values": {},
    "screenshots": true
  },
  "filter": {
    "range": {
      "mostrecent": 10,
      "milliseconds_utc": [
        1376980667000,
        1376980667001
      ],
      "period": {
        "from_utc": "2013-08-20T13:32:08",
        "to_utc": "2013-08-21T13:32:08"
      },
      "result_ids": [
        "7de97d5b-edb3-4e31-9df7-c0665f6dc3ca",
        "c6aeb0c0-5ba9-4c94-8717-133a766dadc8",
        "62452b1b-468e-45c0-b0b7-c1b7d7cce384"
      ]
    }
  }
}"
NameType Required Description
includeObjectNo

The include section defines additional browser check results information to include into the response (if it exists and can be retrieved). If this section omitted or empty, the response will only contain basic data.

result_detailsObjectNo

Specify the result_details section to include result details. For including, use values: {} or true. For not including do not specify this section or use value: false.

stepsObjectNo

Specify the steps section to include data from steps. For including, use values: {} or true. For not including do not specify this section or use value: false.

urlsObjectNo

Specify the urls section to include data from URLs.

include_headersBooleanNo

The include_headers flag indicates if information about request and response headers should be included. Default value: false.

scenario_commandsObjectNo

Specify the scenario_commands section to include data from scenario commands. For including, use values: {} or true. For not including do not specify this section or use value: false.

scenario_extracted_valuesObjectNo

Specify the scenario_extracted_values section to include data from scenario extracted values. For including, use values: {} or true. For not including do not specify this section or use value: false.

screenshotsObjectNo

Specify the screenshots section to include info about result screenshots. For including, use values: {} or true. For not including do not specify this section or use value: false.

filterObjectYes

The filter section defines the criteria for selecting the check results.

rangeObjectYes

This section allows to define the aggregate range of the results by combining different filters. It must contain at least one filter.

mostrecentIntegerNo

Number of most recent results.

milliseconds_utcArrayNo

Array of timestamps associated with results. Each item is represented by a UNIX Epoch timestamp (milliseconds after 1970).

periodObjectNo

The period section defines the date range to obtain results for.

from_utcDateTimeYes

Starting timestamp (in UTC) for the date range.

to_utcDateTimeYes

Ending timestamp (in UTC) for the date range.

result_idsArrayNo

Array of result identifiers to specific results.

Response body model example and description

{
  "check_id": 12345,
  "check_results": [
    {
      "steps": [
        {
          "step": 2,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 1,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 30000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 2,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 23456,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        }
      ],
      "scenario_commands": [
        {
          "id": 34,
          "name": "open",
          "target": "id=password",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        },
        {
          "id": 34,
          "name": "click",
          "target": "//[@test-id="fldUsername"]",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        },
        {
          "id": 37,
          "name": "open",
          "target": "id=password",
          "target_masked": false,
          "value": "test",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "U",
          "error": ""
        }
      ],
      "scenario_extracted_values": [
        {
          "name": "mode",
          "value": "123",
          "page_number": 3
        },
        {
          "name": "user",
          "value": "prod",
          "page_number": 5
        },
        {
          "name": "mode",
          "value": "client",
          "page_number": 5
        }
      ],
      "screenshots": [
        {
          "id": "1d97f55c-46ad-447a-a759-9a0f0bc2ad8a",
          "index": 0,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        },
        {
          "id": "e9878ed7-2bb4-4751-9d0c-da782bd9f379",
          "index": 1,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        },
        {
          "id": "bf9f2cf2-6d21-4a2e-bcb4-8f5d324582f1",
          "index": 0,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        }
      ],
      "result_id": "0ce1a1c1-7242-4cd9-adb2-6a810d1d00ba",
      "timestamp_utc": "2024-09-27T22:22:24",
      "severity": "W",
      "value": 2000,
      "unit": "byte",
      "result_details": {
        "message": "1 step, 1 page, 19 urls, 3990/482261 sent/received bytes",
        "attempts": 3,
        "result_code": 200
      },
      "urls": [
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 300,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 30000,
          "error_code": 404,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "image/gif",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 997,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 2,
          "url": "3",
          "offset_ms": 300,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "error_code": 500,
          "error_message": "Internal server error",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 7,
          "response_cookie_count": 7,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 997,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 2,
          "url_number": 2,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "error_code": 0,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "GET",
          "http_result": "No Content",
          "http_status_code": 500,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    },
    {
      "steps": [
        {
          "step": 2,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 1,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 30000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 2,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 23456,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        }
      ],
      "scenario_commands": [
        {
          "id": 34,
          "name": "open",
          "target": "id=password",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        },
        {
          "id": 37,
          "name": "open",
          "target": "id=password",
          "target_masked": false,
          "value": "test",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "U",
          "error": ""
        },
        {
          "id": 34,
          "name": "click",
          "target": "//[@test-id="fldUsername"]",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        }
      ],
      "scenario_extracted_values": [
        {
          "name": "mode",
          "value": "client",
          "page_number": 5
        },
        {
          "name": "mode",
          "value": "123",
          "page_number": 3
        },
        {
          "name": "user",
          "value": "prod",
          "page_number": 5
        }
      ],
      "screenshots": [
        {
          "id": "1d97f55c-46ad-447a-a759-9a0f0bc2ad8a",
          "index": 0,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        },
        {
          "id": "bf9f2cf2-6d21-4a2e-bcb4-8f5d324582f1",
          "index": 0,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        },
        {
          "id": "e9878ed7-2bb4-4751-9d0c-da782bd9f379",
          "index": 1,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        }
      ],
      "result_id": "180cc59d-2a44-4e21-90e7-71907d548289",
      "timestamp_utc": "2024-09-27T22:22:24",
      "severity": "F",
      "value": 3000,
      "unit": "ms",
      "result_details": {
        "message": "1 step, 1 page, 19 urls, 3990/482261 sent/received bytes",
        "attempts": 2,
        "result_code": 200
      },
      "urls": [
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 300,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 30000,
          "error_code": 404,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "image/gif",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 997,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 1,
          "url": "2",
          "offset_ms": 300,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 30000,
          "error_code": 404,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": null,
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 200,
          "content_from_cache": true,
          "content_mime_type": "image/gif",
          "content_size_bytes": 23456,
          "request_cookie_count": 6,
          "request_header_count": 7,
          "response_cookie_count": 5,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 997,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 2,
          "url_number": 2,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "error_code": 0,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "GET",
          "http_result": "No Content",
          "http_status_code": 500,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    },
    {
      "steps": [
        {
          "step": 2,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 23456,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 1,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 100000,
          "sent_bytes": 30000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 2,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 23456,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        }
      ],
      "scenario_commands": [
        {
          "id": 34,
          "name": "click",
          "target": "//[@test-id="fldUsername"]",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        },
        {
          "id": 34,
          "name": "open",
          "target": "id=password",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        },
        {
          "id": 34,
          "name": "click",
          "target": "//[@test-id="fldUsername"]",
          "target_masked": false,
          "value": "myPass",
          "start_utc": "2024-09-27T22:22:24",
          "end_utc": "2024-09-27T22:22:24",
          "severity": "F",
          "error": ""
        }
      ],
      "scenario_extracted_values": [
        {
          "name": "mode",
          "value": "123",
          "page_number": 3
        },
        {
          "name": "user",
          "value": "prod",
          "page_number": 5
        },
        {
          "name": "mode",
          "value": "123",
          "page_number": 3
        }
      ],
      "screenshots": [
        {
          "id": "e9878ed7-2bb4-4751-9d0c-da782bd9f379",
          "index": 1,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        },
        {
          "id": "bf9f2cf2-6d21-4a2e-bcb4-8f5d324582f1",
          "index": 0,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        },
        {
          "id": "1d97f55c-46ad-447a-a759-9a0f0bc2ad8a",
          "index": 0,
          "timestamp_utc": "2024-09-27T22:22:24",
          "image_type": "IMAGE/JPEG"
        }
      ],
      "result_id": "91cfe300-9fff-44d4-93b2-262cd4af3bd2",
      "timestamp_utc": "2024-09-27T22:22:24",
      "severity": "U",
      "value": 3000,
      "unit": "byte",
      "result_details": {
        "message": "1 url, 148/6797 sent/received bytes.",
        "attempts": 3,
        "result_code": 200
      },
      "urls": [
        {
          "step": 2,
          "url_number": 2,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "error_code": 0,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "GET",
          "http_result": "No Content",
          "http_status_code": 500,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 3,
          "url_number": 2,
          "url": "3",
          "offset_ms": 300,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "error_code": 500,
          "error_message": "Internal server error",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "POST",
          "http_result": "Found",
          "http_status_code": 201,
          "content_from_cache": true,
          "content_mime_type": "text/plain",
          "content_size_bytes": 12345,
          "request_cookie_count": 7,
          "request_header_count": 7,
          "response_cookie_count": 7,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 997,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        },
        {
          "step": 2,
          "url_number": 2,
          "url": "2",
          "offset_ms": 200,
          "started_utc": "2024-09-27T22:22:24",
          "elapsed_ms": 3000,
          "received_bytes": 300000,
          "sent_bytes": 10000,
          "error_code": 0,
          "error_message": "",
          "complete": true,
          "redirect": true,
          "redirect_url": "https://fast.com",
          "http_method": "GET",
          "http_result": "No Content",
          "http_status_code": 500,
          "content_from_cache": true,
          "content_mime_type": "text/css",
          "content_size_bytes": 23456,
          "request_cookie_count": 7,
          "request_header_count": 6,
          "response_cookie_count": 6,
          "response_header_count": 7,
          "response_status_line": "HTTP/1.1 200 OK",
          "blocked_duration_ms": 1345,
          "blocked_url_offset_ms": 102,
          "dns_lookup_duration_ms": 4,
          "dns_lookup_url_offset_ms": 0,
          "connect_duration_ms": 24,
          "connect_url_offset_ms": 4,
          "receive_duration_ms": 53,
          "receive_url_offset_ms": 1038,
          "send_duration_ms": 394,
          "send_url_offset_ms": 422,
          "ttfb_duration_ms": 900,
          "ttfb_url_offset_ms": 900,
          "wait_duration_ms": 222,
          "wait_offset_ms": 816,
          "step_duration_ms": 897,
          "response_time_ms": 697,
          "started_utc_iso_8601": "2024-09-27T22:22:24",
          "canceled": false,
          "headers": {
            "request_headers": [
              {
                "Key": "accept",
                "Value": "/"
              },
              {
                "Key": "user-agent",
                "Value": "Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20140101 Firefox/28.0 Apica/2.0"
              }
            ],
            "response_headers": [
              {
                "Key": "connection",
                "Value": "Upgrade"
              },
              {
                "Key": "content-type",
                "Value": "text/html; charset=UTF-8"
              },
              {
                "Key": "location",
                "Value": "?type=redirected"
              }
            ]
          }
        }
      ]
    }
  ]
}
NameType Description
check_idInteger

The numeric identifier of the check.

check_resultsArray

The check results.

stepsArray

Result's steps.

stepInteger

The number of the step.

step_nameString

The name of the step.

url_countInteger

URL count.

started_utcDateTime

The step started timestamp in UTC.

elapsed_msInteger

Elapsed ms.

received_bytesInteger

Received bytes.

sent_bytesInteger

Sent bytes.

compressed_content_bytesInteger

Compressed content bytes.

started_utc_iso_8601String

The step started timestamp in UTC ISO 8601.

dom_interactive_msInteger

DOM Interactive.

dom_content_loaded_msInteger

DOM Content Loaded.

dom_complete_msInteger

DOM Complete.

scenario_commandsArray

Result's scenario commands.

idInteger

The command's numeric identifier.

nameString

The command's name.

targetString

The command's target.

target_maskedBoolean

Indicates if target field is masked because the scenario contains rules to mask the contents of this field in order to protect sensitive information.

valueString

The command's value.

start_utcDateTime

The command's start timestamp.

end_utcDateTime

The command's end timestamp.

severityString

The severity.

errorString

The text of error.

scenario_extracted_valuesArray

Scenario's extracted values.

nameString

The variable's name.

valueString

The variable's value.

page_numberInteger

The page number.

screenshotsArray

Results's screenshots.

idGuid

Screenshot identifier.

indexInteger

Index of the screenshot in the list (starting from 0).

timestamp_utcDateTime

Screenshot timestamp (in UTC).

image_typeString

Type of the screenshot image.

CheckIdInteger

No documentation available.

result_idGuid

The result identifier.

timestamp_utcDateTime

The result timestamp in UTC.

severityString

The result severity.

valueInteger

The result's value.

unitString

The result value measures unit.

result_detailsObject

The result details.

messageString

The result message.

attemptsInteger

The number of attempts.

result_codeInteger

The code of result.

urlsArray

The result URLs details.

headersObject

The URL headers.

request_headersObject

The URL request headers.

response_headersObject

The URL response headers.

stepInteger

The number of the step.

url_numberInteger

The number of the URL.

urlString

The number of the URL.

offset_msInteger

The URL request time offset.

started_utcDateTime

The URL request start time.

elapsed_msInteger

The elapsed time.

received_bytesInteger

The received bytes.

sent_bytesInteger

The sent bytes.

error_codeInteger

The error code.

error_messageString

The error message.

completeBoolean

The request complete status.

redirectBoolean

Response with a redirect.

redirect_urlString

The redirect URL.

http_methodString

The HTTP method.

http_resultString

The HTTP result.

http_status_codeInteger

The HTTP status code.

content_from_cacheBoolean

The content was loaded from the cache.

content_mime_typeString

The content type.

content_size_bytesInteger

The content size in bytes.

request_cookie_countInteger

The request cookie count.

request_header_countInteger

The request headers count.

response_cookie_countInteger

The response cookie count.

response_header_countInteger

The response headers count.

response_status_lineString

The response status line.

blocked_duration_msInteger

The browser block duration.

blocked_url_offset_msInteger

The block start offset.

dns_lookup_duration_msInteger

The DNS Lookup duration.

dns_lookup_url_offset_msInteger

The DNS Lookup offset.

connect_duration_msInteger

The connect duration.

connect_url_offset_msInteger

The connect URL offset.

receive_duration_msInteger

The receive duration.

receive_url_offset_msInteger

The receive URL offset.

send_duration_msInteger

The send duration.

send_url_offset_msInteger

The send URL offset.

ttfb_duration_msInteger

The time to first byte duration.

ttfb_url_offset_msInteger

The time to first byte offset.

wait_duration_msInteger

The wait duration.

wait_offset_msInteger

The wait offset.

step_duration_msInteger

The step duration.

response_time_msInteger

The response time.

started_utc_iso_8601String

The start timestamp in UTC ISO 8601 format.

canceledBoolean

The request 'cancelled' status.